import { NehanElement, LogicalPos, Display, Position, WritingMode, Font, Color, LogicalBoxEdge, LogicalFloat, LogicalTextAlign, LogicalVerticalAlign, LogicalBackgroundPos, TextCombineUpright, TextOrientation, TextEmphasis, OverflowWrap, WordBreak, Content, ListStyle, WhiteSpace, PageBreakBefore, PageBreakAfter, BorderCollapse } from "./public-api";
export declare class BoxEnv {
    element: NehanElement;
    measure: number | null;
    extent: number | null;
    color: Color;
    absPos: LogicalPos;
    display: Display;
    position: Position;
    writingMode: WritingMode;
    font: Font;
    edge: LogicalBoxEdge;
    float: LogicalFloat;
    verticalAlign: LogicalVerticalAlign;
    textAlign: LogicalTextAlign;
    textCombineUpright: TextCombineUpright;
    textOrientation: TextOrientation;
    textEmphasis: TextEmphasis;
    overflowWrap: OverflowWrap;
    wordBreak: WordBreak;
    content: Content;
    listStyle: ListStyle;
    whiteSpace: WhiteSpace;
    pageBreakBefore: PageBreakBefore;
    pageBreakAfter: PageBreakAfter;
    backgroundPos: LogicalBackgroundPos;
    borderCollapse: BorderCollapse;
    constructor(element: NehanElement);
    protected loadDisplay(element: NehanElement): Display;
    protected loadEdge(element: NehanElement, display: Display): LogicalBoxEdge;
}
