export var Config;
(function (Config) {
    Config.lang = "ja";
    Config.engineVersion = 7;
    Config.pageRootTagName = "body";
    Config.normalizeHtml = (html) => {
        return html
            .replace(/\r/g, "")
            .replace(/<rp>(.*?)<\/rp>/gi, "")
            .replace(/<!--[\s\S]*?-->/g, "")
            .replace(/\u2015{2}/g, "\u2014\u2014")
            .replace(/\s+$/, "")
            .replace(/(?:<page-break>)|(?:<pbr>)/g, "<hr style='border-width:0px; margin:0; page-break-after: always'>");
    };
    Config.maxPageCount = 2000;
    Config.maxJustifyGap = 1.0;
    Config.ignoreEmptyLine = false;
    Config.ignoreEmptyInline = false;
    Config.ignoreZeroRe = true;
    Config.debugImageLoader = false;
    Config.debugCharacter = false;
    Config.debugLayout = false;
    Config.useStrictFormatContextName = false;
    Config.defaultFontSize = 16;
    Config.defaultFontFamily = [
        "'ヒラギノ明朝 Pro W3'",
        "'Hiragino Mincho Pro'",
        "'HiraMinProN-W3'",
        "'Meiryo'",
        "'メイリオ'",
        "'IPA明朝'",
        "'IPA Mincho'",
        "'ＭＳ 明朝'",
        "'MS Mincho'",
        "monospace"
    ].join(",");
    Config.defaultFont = [Config.defaultFontSize + "px", Config.defaultFontFamily].join(" ");
    Config.defaultBodyMeasure = 640;
    Config.defaultBodyExtent = 480;
    Config.defaultLineHeight = 2.0;
    Config.defaultBorderColor = "transparent";
    Config.defaultTableBorderColor = "rgba(0,0,0,0.4)";
    Config.defaultFloatMeasure = 100;
    Config.defaultInlineBlockMeasure = 200;
    Config.nonOmitWhiteSpaces = [
        "\u3000"
    ];
    Config.unmanagedCssProps = [
        "background",
        "background-image",
        "background-color",
        "background-position",
        "text-decoration",
        "z-index"
    ];
    Config.nonLayoutTags = [
        "br"
    ];
    Config.fontSizeOnlyTags = [
        "b",
        "br",
        "em",
        "rb",
        "rt",
        "rp",
        "ruby",
        "strong",
    ];
    Config.edgeSkipTags = [
        "rb",
        "rt",
        "rp",
        "ruby",
    ];
    Config.boxSizeSkipTags = [
        "b",
        "em",
        "rb",
        "rt",
        "rp",
        "ruby",
        "strong",
    ];
    Config.ignoredTags = [
        "script",
        "noscript",
        "meta",
    ];
    Config.IgnoredInlineStyleProps = [];
    Config.rexWord = /^[\u0021-\u007E\u00C0-\u02A8\u2000-\u206F\uFB00-\uFB06]+/;
    Config.rexRefChar = /^&[\S]+?;/;
    Config.isTcyWord = (word, context) => {
        return false;
    };
    Config.rexHalfChar = /^[\uFF66-\uFF69\uFF71-\uFF9D][\uFF9E-\uFF9F]?/;
    Config.rexSpace = /^[ \f\n\r\t\v\u00A0\u1680\u180e\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]/;
    Config.rexSpaceCharRef = /^&(nb|en|em|thin)sp;/;
    Config.rexVoicedMark = /^[\u3099-\u309C]/;
})(Config || (Config = {}));
//# sourceMappingURL=config.js.map