import { BasicStyle } from "./public-api";
export class CssCascade {
    static getValue(element, prop) {
        const computedValue = element.computedStyle.getPropertyValue(prop);
        return computedValue !== null && computedValue !== void 0 ? computedValue : this.getSpecValue(element, prop);
    }
    static getSpecValue(element, prop) {
        var _a;
        const specValue = (_a = element.style.getPropertyValue(prop)) !== null && _a !== void 0 ? _a : "";
        const defaultCss = BasicStyle.get(prop);
        switch (specValue) {
            case "":
                if (defaultCss.inherit && element.parent) {
                    return this.getValue(element.parent, prop);
                }
                return defaultCss.initial;
            case "initial":
                return defaultCss.initial;
            case "inherit":
                if (element.parent) {
                    if (defaultCss.inherit) {
                        return this.getValue(element.parent, prop);
                    }
                    return this.getSpecValue(element.parent, prop);
                }
                return defaultCss.initial;
            default:
                return specValue;
        }
    }
}
//# sourceMappingURL=css-cascade.js.map