import { CssSpecifiedValueLoader, CssSpecifiedInlineValueLoader, CssSpecifiedDynamicValueLoader, CssComputedValueLoader, CssUsedRegionLoader, } from "./public-api";
export class CssLoader {
    static loadAll(element) {
        if (element.isTextElement()) {
            return;
        }
        this.load(element);
        element.children.forEach(child => this.loadAll(child));
        if (element.tagName === "body") {
            this.loadDynamic(element);
        }
    }
    static load(element) {
        if (element.isTextElement()) {
            return;
        }
        element.acceptEffector(CssSpecifiedValueLoader.instance);
        element.acceptEffector(CssSpecifiedInlineValueLoader.instance);
        element.acceptEffector(CssComputedValueLoader.instance);
        element.acceptEffector(CssUsedRegionLoader.instance);
    }
    static loadDynamic(element, parentCtx) {
        if (!element.style.hasDynamicStyles()) {
            return false;
        }
        element.acceptEffector(new CssSpecifiedDynamicValueLoader(parentCtx));
        element.acceptEffector(CssSpecifiedInlineValueLoader.instance);
        element.acceptEffector(CssComputedValueLoader.instance);
        element.acceptEffector(CssUsedRegionLoader.instance);
        return true;
    }
}
//# sourceMappingURL=css-loader.js.map