import { CssStyleDeclaration, CssRule, CssProp, CssText, CssMacroValue, PropValue, DynamicStyleCallback, DomCallbackValue } from "./public-api";
export declare type CssValue = string | number | CssMacroValue | DynamicStyleCallback | DomCallbackValue;
export declare type CssDeclaration = {
    prop: string;
    value: CssValue;
};
export declare type CssDeclarationBlockItem = {
    [prop: string]: CssValue;
};
export declare type CssDeclarationBlock = Partial<CssDeclarationBlockItem>;
export declare type CssRules = {
    [selector: string]: CssDeclarationBlock;
};
export declare class CssParser {
    static parseInlineStyle(inlineStyle: string): CssStyleDeclaration;
    static parseRule(selectorSrc: string, declrBlock: CssDeclarationBlock): CssRule[];
    static parseDeclarationBlock(selector: string, declrBlock: CssDeclarationBlock): CssStyleDeclaration;
    static parseDeclaration(cssProp: CssProp, cssText: CssText): PropValue<string, string>[];
}
