import { Utils } from "./public-api";
export class CssProp {
    constructor(str) {
        this.value = this.normalize(str);
    }
    toString() {
        return this.value;
    }
    normalize(str) {
        let norm = str.replace(/\s/g, "");
        norm = Utils.String.camelToChain(norm);
        return norm;
    }
    replace(target, dst) {
        return this.value.replace(target, dst);
    }
    join(tokens, separator = "-") {
        return [this.value].concat(tokens).join(separator);
    }
    isDynamicStyleProp() {
        return this.value.charAt(0) === "!";
    }
    getDynamicStylePropName() {
        return this.isDynamicStyleProp() ? this.value.substring(1) : "";
    }
    isDomCallback() {
        return this.value.charAt(0) === "@";
    }
    getDomCallbackName() {
        return this.isDomCallback() ? this.value.substring(1) : "";
    }
}
//# sourceMappingURL=css-prop.js.map