import { NehanElement, DynamicStyle, DomCallback, ILogicalCssEvaluator, IFlowRootFormatContext, NativeStyleMap } from "./public-api";
export declare class CssStyleDeclaration {
    private styles;
    private dynamicStyles;
    private domCallbacks;
    constructor();
    hasDomCallbacks(): boolean;
    hasDynamicStyles(): boolean;
    isEmpty(): boolean;
    callDomCallbacks(box: any, dom: HTMLElement, flowRoot: IFlowRootFormatContext): void;
    getPropertyValue(prop: string): string | null;
    setProperty(prop: string, value: string): CssStyleDeclaration;
    addDynamicStyle(dynamicStyle: DynamicStyle): CssStyleDeclaration;
    addDomCallback(callback: DomCallback): CssStyleDeclaration;
    removeProperty(prop: string): boolean;
    forEach(fn: (key: string, value: string) => void): void;
    mergeFrom(src: CssStyleDeclaration): CssStyleDeclaration;
    getDynamicStyle(element: NehanElement, parentCtx?: any): CssStyleDeclaration;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
