import { Utils } from "./public-api";
export class CssText {
    constructor(prop_value) {
        this.value = this.getValue(prop_value);
    }
    getValue(prop_value) {
        switch (prop_value.prop) {
            case "content": return prop_value.value;
            default: return CssText.normalize(prop_value.value);
        }
    }
    split(splitter = /\s/) {
        return this.value.split(splitter);
    }
    static normalize(str) {
        let norm = str.trim();
        norm = norm.replace(/[\n\t]/g, "");
        norm = norm.replace(/!important/g, "");
        norm = Utils.String.multiSpaceToSingle(norm);
        norm = norm.replace(/\s*([,/;])\s*/g, "$1");
        return norm;
    }
    static getValue4D(value) {
        let vs = value.split(/\s/);
        switch (vs.length) {
            case 1: return [vs[0], vs[0], vs[0], vs[0]];
            case 2: return [vs[0], vs[1], vs[0], vs[1]];
            case 3: return [vs[0], vs[1], vs[2], vs[1]];
            case 4: return [vs[0], vs[1], vs[2], vs[3]];
        }
        throw new Error("invalid shorthanded 4d value:" + value);
    }
    static getValue4D2(value) {
        let vss = value.split("/").map((text) => {
            return CssText.getValue4D(text);
        });
        if (vss.length === 1) {
            vss.push(vss[0]);
        }
        return vss;
    }
}
//# sourceMappingURL=css-text.js.map