import { NehanElement } from "./public-api";
export declare enum DisplayOutside {
    BLOCK = "block",
    INLINE = "inline",
    RUN_IN = "run-in"
}
export declare enum DisplayInside {
    FLOW = "flow",
    FLOW_ROOT = "flow-root",
    TABLE = "table",
    FLEX = "flex",
    GRID = "grid",
    RUBY = "ruby"
}
export declare enum DisplayListItem {
    LIST_ITEM = "list-item"
}
export declare enum DisplayInternal {
    TABLE_ROW_GROUP = "table-row-group",
    TABLE_HEADER_GROUP = "table-header-group",
    TABLE_FOOTER_GROUP = "table-footer-group",
    TABLE_ROW = "table-row",
    TABLE_CELL = "table-cell",
    TABLE_COLUMN_GROUP = "table-column-group",
    TABLE_COLUMN = "table-column",
    TABLE_CAPTION = "table-caption",
    RUBY_BASE = "ruby-base",
    RUBY_TEXT = "ruby-text",
    RUBY_BASE_CONTAINER = "ruby-base-container",
    RUBY_TEXT_CONTAINER = "ruby-text-container"
}
export declare enum DisplayBox {
    NONE = "none",
    CONTENTS = "contents"
}
export declare enum DisplayValue {
    NONE = "none",
    CONTENTS = "contents",
    BLOCK = "block",
    INLINE = "inline",
    INLINE_BLOCK = "inline-block",
    FLOW_ROOT = "flow-root",
    RUN_IN = "run-in",
    LIST_ITEM = "list-item",
    INLINE_LIST_ITEM = "inline-list-item",
    FLEX = "flex",
    INLINE_FLEX = "inline-flex",
    GRID = "grid",
    INLINE_GRID = "inline-grid",
    RUBY = "ruby",
    BLOCK_RUBY = "block-ruby",
    TABLE = "table",
    INLINE_TABLE = "inline-table"
}
export declare class Display {
    value: string;
    outside?: string;
    inside?: string;
    internal?: string;
    listItem?: string;
    box?: string;
    static values: string[];
    static listItemValues: string[];
    static internalValues: string[];
    static boxValues: string[];
    static allValues: string[];
    constructor(value: DisplayValue);
    static load(element: NehanElement): Display;
    setBlockLevel(): void;
    setFlowRoot(): void;
    toString(): string;
    isNone(): boolean;
    isContents(): boolean;
    isListItem(): boolean;
    isTable(): boolean;
    isTableRowGroup(): boolean;
    isTableRow(): boolean;
    isTableCell(): boolean;
    isBorderCollapsable(): boolean;
    isRubyChild(): boolean;
    isRubyBase(): boolean;
    isRubyText(): boolean;
    isFlow(): boolean;
    isInlineFlow(): boolean;
    isBlockFlow(): boolean;
    isInlineBlockFlow(): boolean;
    isFlowInside(): boolean;
    isFlowRoot(): boolean;
    isFlowTable(): boolean;
    isFlowRuby(): boolean;
    isBlockLevel(): boolean;
    isInlineLevel(): boolean;
}
