import { Font, ICharacter, LogicalSize, DualCharInfo, TextEmphaData, ILogicalNodeEvaluator } from "./public-api";
export declare class DualChar implements ICharacter {
    text: string;
    size: LogicalSize;
    info: DualCharInfo;
    kerning: boolean;
    spacing: number;
    charCount: number;
    empha?: TextEmphaData;
    constructor(str: string, info: DualCharInfo);
    isParen(): boolean;
    isOpenParen(): boolean;
    isCloseParen(): boolean;
    isTailNg(): boolean;
    isHeadNg(): boolean;
    isKernEnable(): boolean;
    isHangEnable(): boolean;
    isSmall(): boolean;
    setMetrics(opts: {
        font: Font;
        isVertical: boolean;
        empha?: TextEmphaData;
    }): void;
    toString(): string;
    acceptEvaluator(visitor: ILogicalNodeEvaluator): HTMLElement | Node;
}
