import { LogicalRect, LogicalSize, LogicalCursorPos } from "./public-api";
export declare class FloatRegion {
    flowRootRegion: LogicalRect;
    startRects: LogicalRect[];
    endRects: LogicalRect[];
    cursorBefore: number;
    private startLedgePositions;
    private endLedgePositions;
    constructor(flowRootSize: LogicalSize, before: number);
    toString(): string;
    isEmpty(): boolean;
    get maxRegionExtent(): number;
    pushStart(before: number, size: LogicalSize, contextMeasure?: number): LogicalRect;
    pushEnd(before: number, size: LogicalSize, contextMeasure?: number): LogicalRect;
    clearBoth(): number;
    clearStart(): number;
    clearEnd(): number;
    getSpacePosFromStartBound(before: number): number;
    getSpaceMeasureAt(before: number, contextMeasure?: number): number;
    hasSpaceForSize(before: number, wantedSize: LogicalSize, contextMeasure?: number): boolean;
    findSpace(before: number, wantedSize: LogicalSize, contextMeasure?: number): LogicalCursorPos | undefined;
    private getSideRectMeasureAt;
    private getMaxMeasure;
    private getSkipExtentAt;
    private get ledgePositions();
    private addLedgePos;
    private pushStartRect;
    private pushEndRect;
    private get allRects();
    private get maxStartRegionExtent();
    private get maxEndRegionExtent();
    private getStartSideRect;
    private getEndSideRect;
    private getStartSideRectMeasure;
    private getEndSideRectMeasure;
    private getMaxSideCursorBeforeFrom;
    private getSideRect;
}
