import { BoxEnv, Anchor, LayoutSection, NehanElement, ILayoutFormatContext, FloatRegion, LogicalCursorPos, LogicalFloat, LogicalClear, FlowFormatContext, IFlowRootFormatContext, ILogicalNode, ILogicalFloatableNode, ILayoutOutlineEvaluator, ILogicalNodeEvaluator, ILogicalNodePos } from './public-api';
export declare class FlowRootFormatContext extends FlowFormatContext implements IFlowRootFormatContext {
    env: BoxEnv;
    parent?: ILayoutFormatContext | undefined;
    floatRegion?: FloatRegion;
    floatNodes: ILogicalNode[];
    pageCount: number;
    private outline;
    private anchors;
    constructor(env: BoxEnv, parent?: ILayoutFormatContext | undefined);
    get flowRoot(): IFlowRootFormatContext;
    getSectionAt(pageIndex: number): LayoutSection;
    get boxPos(): ILogicalNodePos;
    openElement(element: NehanElement): void;
    closeElement(element: NehanElement): void;
    createOutline(evaluator: ILayoutOutlineEvaluator): HTMLElement;
    createElement(tagName: string, layoutNames: string[], logicalNode: ILogicalNode): HTMLElement;
    createLogicalNodeEvaluator(): ILogicalNodeEvaluator;
    setAnchor(name: string, anchor: Anchor): void;
    getAnchor(name: string): Anchor | undefined;
    getHeaderSection(element: NehanElement): LayoutSection | undefined;
    clearFloat(clear: LogicalClear): number;
    addFloat(block: ILogicalFloatableNode, float: LogicalFloat, contextMeasure: number, flowRootPos: LogicalCursorPos): void;
}
