import { LogicalSize, } from "./public-api";
export class HalfChar {
    constructor(str) {
        this.text = str;
        this.size = new LogicalSize({ measure: 0, extent: 0 });
        this.kerning = false;
        this.spacing = 0;
        this.charCount = 1;
    }
    setMetrics(opts) {
        this.size.measure = opts.isVertical ? opts.font.size : Math.floor(opts.font.size / 2);
        this.size.extent = opts.font.size;
        this.empha = opts.empha;
        if (opts.empha) {
            this.size.extent = opts.font.size * 2;
        }
    }
    toString() {
        return this.text;
    }
    acceptEvaluator(visitor) {
        return visitor.visitHalfChar(this);
    }
}
//# sourceMappingURL=half-char.js.map