import { ICharacter, Char, SpaceChar, HalfChar, MixChar, Tcy, Word, SmpUniChar, RefChar, DualChar, LogicalTextNode, LogicalRubyNode, LogicalInlineNode, LogicalLineNode, LogicalBlockNode, LogicalInlineBlockNode, ILogicalNodeEvaluator, ILogicalCssEvaluator, LogicalTableCellsNode, LogicalBlockReNode, LogicalInlineReNode, TextEmphaData, IFlowRootFormatContext, ILogicalTextJustifier } from './public-api';
export declare class HoriLogicalNodeEvaluator implements ILogicalNodeEvaluator {
    private pageRoot;
    private cssVisitor;
    private textJustifier;
    constructor(pageRoot: IFlowRootFormatContext, cssVisitor: ILogicalCssEvaluator, textJustifier: ILogicalTextJustifier);
    visitChar(char: Char): HTMLElement | Node;
    visitCharEmpha(char: ICharacter, empha: TextEmphaData): HTMLElement | Node;
    visitRefChar(refChar: RefChar): HTMLElement | Node;
    visitRefCharEmpha(refChar: RefChar, empha: TextEmphaData): HTMLElement | Node;
    visitSpaceChar(spaceChar: SpaceChar): HTMLElement | Node;
    visitHalfChar(halfChar: HalfChar): HTMLElement | Node;
    visitMixChar(mixChar: MixChar): HTMLElement | Node;
    visitDualChar(dualChar: DualChar): HTMLElement | Node;
    visitDualCharKern(dualChar: DualChar): HTMLElement | Node;
    visitSmpUniChar(uniChar: SmpUniChar): HTMLElement | Node;
    visitTcy(tcy: Tcy): HTMLElement | Node;
    visitWord(word: Word): HTMLElement | Node;
    visitText(textNode: LogicalTextNode): HTMLElement;
    visitRuby(rubyNode: LogicalRubyNode): HTMLElement;
    visitLine(lineNode: LogicalLineNode): HTMLElement;
    visitInline(inlineNode: LogicalInlineNode): HTMLElement;
    visitInlineEmpha(inlineNode: LogicalInlineNode): HTMLElement;
    visitInlineBlock(iblockNode: LogicalInlineBlockNode): HTMLElement;
    visitBlock(blockNode: LogicalBlockNode): HTMLElement;
    visitRootBlock(rootBlockNode: LogicalBlockNode): HTMLElement;
    visitTableCells(tableCellsNode: LogicalTableCellsNode): HTMLElement;
    visitBlockImage(imgNode: LogicalBlockReNode): HTMLElement;
    visitInlineImage(imgNode: LogicalInlineReNode): HTMLElement;
    visitBlockVideo(videoNode: LogicalBlockReNode): HTMLElement;
    visitInlineVideo(videoNode: LogicalInlineReNode): HTMLElement;
    visitBlockReFixed(reNodeFixed: LogicalBlockReNode, fixedDOM: HTMLElement): HTMLElement;
    visitInlineReFixed(reNodeFixed: LogicalInlineReNode, fixedDOM: HTMLElement): HTMLElement;
    visitInlineLink(linkNode: LogicalInlineNode): HTMLElement;
    visitBlockLink(linkNode: LogicalBlockNode): HTMLElement;
}
