import { NehanElement, PagedDocumentRenderOptions } from "./public-api";
export declare type ImageLoaderCallbacks = Pick<PagedDocumentRenderOptions, "onProgressImage" | "onCompleteImage">;
export declare class ImageLoaderContext {
    totalItemCount: number;
    successCount: number;
    errorCount: number;
    constructor(totalCount: number);
    get progress(): number;
    get percent(): number;
}
export declare class ImageLoader {
    private imageElements;
    private context;
    constructor(imageElements: NehanElement[], context: ImageLoaderContext);
    load(callbacks: ImageLoaderCallbacks): Promise<boolean>;
    private getImageAttr;
    private loadImage;
}
