import { CssText, NehanElement, PropValue } from "./public-api";
export declare type LogicalBorderRadiusCorner = "before-start" | "before-end" | "after-end" | "after-start";
export interface LogicalBorderRadiusValue {
    beforeStart: number;
    beforeEnd: number;
    afterEnd: number;
    afterStart: number;
}
export declare class LogicalBorderRadius {
    beforeStart: number;
    beforeEnd: number;
    afterEnd: number;
    afterStart: number;
    static corners: LogicalBorderRadiusCorner[];
    constructor(values: LogicalBorderRadiusValue);
    clone(): LogicalBorderRadius;
    static get none(): LogicalBorderRadius;
    static get noneValue(): LogicalBorderRadiusValue;
    static load(element: NehanElement): LogicalBorderRadius;
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    get items(): PropValue<LogicalBorderRadiusCorner, number>[];
}
