import { LogicalEdge, LogicalEdgeValue, CssText, NehanElement, PropValue, NativeStyleMap, ILogicalCssEvaluator } from "./public-api";
export declare enum LogicalBorderStyleValue {
    NONE = "none",
    HIDDEN = "hidden",
    DOTTED = "dotted",
    DASHED = "dashed",
    SOLID = "solid",
    DOUBLE = "double",
    GROOVE = "groove",
    RIDGE = "ridge",
    INSET = "inset",
    OUTSET = "outset"
}
export declare class LogicalBorderStyle extends LogicalEdge<string> {
    static values: unknown[];
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    static load(element: NehanElement): LogicalBorderStyle;
    static get noneValue(): LogicalEdgeValue<string>;
    static get none(): LogicalBorderStyle;
    clone(): LogicalBorderStyle;
    getPropByLogicalDirection(direction: string): string;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
