import { LogicalEdgeSize, CssText, PropValue, NehanElement, NativeStyleMap, ILogicalCssEvaluator } from "./public-api";
export declare enum LogicalBorderWidthKeyword {
    THIN = "thin",
    MEDIUM = "medium",
    THICK = "thick"
}
export declare const LogicalBorderWidthKeywordSize: {
    [keyword: string]: number;
};
export declare class LogicalBorderWidth extends LogicalEdgeSize {
    static keywords: string[];
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    static load(element: NehanElement): LogicalBorderWidth;
    static get none(): LogicalBorderWidth;
    clone(): LogicalBorderWidth;
    clearBefore(): void;
    clearEnd(): void;
    clearAfter(): void;
    clearStart(): void;
    getPropByLogicalDirection(direction: string): string;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
