import { LogicalBorderStyle, LogicalBorderWidth, LogicalBorderColor, LogicalBorderRadius, NehanElement, NativeStyleMap, PropValue, CssText, ILogicalCssEvaluator } from "./public-api";
export interface LogicalBorderValue {
    style: LogicalBorderStyle;
    width: LogicalBorderWidth;
    color: LogicalBorderColor;
    radius: LogicalBorderRadius;
}
export declare class LogicalBorder {
    style: LogicalBorderStyle;
    width: LogicalBorderWidth;
    color: LogicalBorderColor;
    radius: LogicalBorderRadius;
    constructor(values: LogicalBorderValue);
    clone(): LogicalBorder;
    static load(element: NehanElement): LogicalBorder;
    static get none(): LogicalBorder;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
    clearBefore(): void;
    clearEnd(): void;
    clearAfter(): void;
    clearStart(): void;
    get beforeWidth(): number;
    get endWidth(): number;
    get afterWidth(): number;
    get startWidth(): number;
    static expand(declrs: PropValue<string, string>[]): PropValue<string, string>[];
    static inferPropType(value: string): string;
    static parseShorthandWidthStyleColor(css_text: CssText): PropValue<string, string>[];
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    static parseShorthandEach(css_text: CssText, direction: string): PropValue<string, string>[];
}
