import { LogicalPadding, LogicalBorder, LogicalMargin, ILogicalCursorPos, NehanElement } from "./public-api";
export interface LogicalBoxEdgeValue {
    padding: LogicalPadding;
    border: LogicalBorder;
    margin: LogicalMargin;
}
export declare class LogicalBoxEdge {
    padding: LogicalPadding;
    border: LogicalBorder;
    margin: LogicalMargin;
    constructor(values: LogicalBoxEdgeValue);
    static load(element: NehanElement): LogicalBoxEdge;
    static loadRootBoxEdge(element: NehanElement): LogicalBoxEdge;
    static loadBoxEdge(element: NehanElement): LogicalBoxEdge;
    static get none(): LogicalBoxEdge;
    clone(): LogicalBoxEdge;
    clearBefore(): void;
    clearAfter(): void;
    clearStart(): void;
    clearEnd(): void;
    get start(): number;
    get end(): number;
    get before(): number;
    get after(): number;
    get extent(): number;
    get measure(): number;
    get borderBoxBefore(): number;
    get borderBoxAfter(): number;
    get borderBoxStart(): number;
    get borderBoxEnd(): number;
    get borderBoxExtent(): number;
    get borderBoxMeasure(): number;
    getInnerBoxOffset(): ILogicalCursorPos;
}
