import { WritingMode, LogicalEdgeDirection, PhysicalEdgeDirection, LogicalBorderRadiusCorner } from "./public-api";
declare class PropMap<P, V> extends Map<P, V> {
    get(prop: P): V;
}
export interface ILogicalMap<P, V> {
    readonly horiTb: PropMap<P, V>;
    readonly vertRl: PropMap<P, V>;
    readonly vertLr: PropMap<P, V>;
    select: (writingMode: WritingMode) => PropMap<P, V>;
}
export declare const LogicalEdgeMap: ILogicalMap<LogicalEdgeDirection, PhysicalEdgeDirection>;
export declare const LogicalCornerMap: ILogicalMap<LogicalBorderRadiusCorner, string>;
export {};
