import { LayoutResult, NehanElement, BoxEnv, ICharacter, ILexer, ILayoutFormatContext } from './public-api';
export interface ChildGenerator {
    generator: ILogicalNodeGenerator;
    nextElement: NehanElement | null;
}
export interface ILogicalNodeGenerator {
    context: ILayoutFormatContext;
    getNext(): LayoutResult | undefined;
}
export declare class LogicalNodeGenerator {
    static createRoot(element: NehanElement): ILogicalNodeGenerator;
    static createTextLexer(element: NehanElement, env: BoxEnv): ILexer<ICharacter>;
    static createChild(element: NehanElement, parentContext: ILayoutFormatContext): ChildGenerator;
}
