import { NehanElement, PhysicalSize, WritingMode, NativeStyleMap, ILogicalCssEvaluator } from "./public-api";
export declare class LogicalSize {
    measure: number;
    extent: number;
    constructor(args: {
        measure: number;
        extent: number;
    });
    static load(element: NehanElement): LogicalSize | null;
    static loadMeasure(element: NehanElement): number | null;
    static loadExtent(element: NehanElement): number | null;
    static get zero(): LogicalSize;
    toString(): string;
    clone(): LogicalSize;
    canContain(size: LogicalSize): boolean;
    isZero(): boolean;
    hasZero(): boolean;
    getPhysicalSize(writingMode: WritingMode): PhysicalSize;
    getWidth(writingMode: WritingMode): number;
    getHeight(writingMode: WritingMode): number;
    resize(maxSize: LogicalSize): LogicalSize;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
