export class NativeStyleMap {
    constructor() {
        this._map = new Map();
    }
    set(key, value) {
        this._map.set(key, value);
        return this;
    }
    delete(key) {
        this._map.delete(key);
        return this;
    }
    forEach(fn) {
        this._map.forEach(fn);
    }
    mergeTo(dst) {
        this.forEach((value, key) => {
            dst.set(key, value);
        });
        return dst;
    }
    applyTo(style) {
        this._map.forEach((value, key) => {
            style.setProperty(key, value);
        });
        return this;
    }
}
//# sourceMappingURL=native-style-map.js.map