import { NehanElement, CssRule } from './public-api';
export interface NodeEffector {
    visit: (element: NehanElement) => void;
}
export declare class ListItemInitializer implements NodeEffector {
    static instance: ListItemInitializer;
    private constructor();
    visit(element: NehanElement): void;
}
export declare class TableRowGroupInitializer implements NodeEffector {
    static instance: TableRowGroupInitializer;
    private constructor();
    visit(element: NehanElement): void;
}
export declare class TableRowInitializer implements NodeEffector {
    static instance: TableRowInitializer;
    private constructor();
    visit(element: NehanElement): void;
}
export declare class TableCellInitializer implements NodeEffector {
    static instance: TableCellInitializer;
    private constructor();
    private getCollapsedInternalEdgeSize;
    private getTableCells;
    private findPrevCells;
    visit(element: NehanElement): void;
}
export declare class RubyNormalizer implements NodeEffector {
    static instance: RubyNormalizer;
    private constructor();
    visit(element: NehanElement): void;
}
export declare class PseudoElementInitializer implements NodeEffector {
    private pseudoRules;
    constructor(pseudoRules: CssRule[]);
    private addMarker;
    private addBefore;
    private addAfter;
    private addFirstLine;
    private addFirstLetter;
    private addPseudoElement;
    visit(element: NehanElement): void;
}
export declare class CssSpecifiedValueLoader implements NodeEffector {
    static instance: CssSpecifiedValueLoader;
    private constructor();
    visit(element: NehanElement): void;
}
export declare class CssSpecifiedDynamicValueLoader implements NodeEffector {
    private parentCxt?;
    constructor(parentCxt?: any);
    visit(element: NehanElement): void;
}
export declare class CssSpecifiedInlineValueLoader implements NodeEffector {
    static instance: CssSpecifiedInlineValueLoader;
    private constructor();
    visit(element: NehanElement): void;
}
export declare class CssComputedValueLoader implements NodeEffector {
    static instance: CssComputedValueLoader;
    private getLineHeightString;
    private setCascadedValue;
    private setFontSize;
    private setLineHeight;
    private setBoxLength;
    private setAutableBoxLength;
    private setOptionalBoxLength;
    private setMargin;
    private setPadding;
    private setBorderWidth;
    private setBorderStyle;
    private setBorderColor;
    private setBorderRadius;
    private setPosition;
    visit(element: NehanElement): void;
}
export declare class CssUsedRegionLoader implements NodeEffector {
    static instance: CssUsedRegionLoader;
    private constructor();
    visit(element: NehanElement): void;
}
