import { Anchor, Page, LayoutSection, NehanDocument, NehanDocumentOptions, ILogicalNode, ILayoutOutlineEvaluator, ImageLoaderContext } from './public-api';
export interface PagedDocumentRenderOptions {
    onProgressImage?: (ctx: ImageLoaderContext) => void;
    onCompleteImage?: (ctx: ImageLoaderContext) => void;
    onPage?: (context: {
        caller: PagedNehanDocument;
        page: Page;
    }) => void;
    onComplete?: (context: {
        caller: PagedNehanDocument;
        time: number;
        pageCount: number;
    }) => void;
}
export declare class PagedNehanDocument extends NehanDocument {
    private generator;
    private evaluator;
    private effector;
    private pages;
    private timestamp;
    constructor(src: string, options?: NehanDocumentOptions);
    private addPageNode;
    get pageCount(): number;
    getAnchor(anchorName: string): Anchor | undefined;
    getAnchorPage(anchorName: string): Page;
    evalNode(node: ILogicalNode, useEffector?: boolean): HTMLElement | Node;
    getPage(index: number): Page;
    createOutline(outlineEvaluator?: ILayoutOutlineEvaluator): HTMLElement;
    getSectionAt(pageIndex: number): LayoutSection;
    render(options?: PagedDocumentRenderOptions): PagedNehanDocument;
    private renderAsync;
}
