import { LogicalSize, } from "./public-api";
export class RefChar {
    constructor(str) {
        this.text = str;
        this.size = new LogicalSize({ measure: 0, extent: 0 });
        this.kerning = false;
        this.spacing = 0;
        this.charCount = 1;
    }
    setMetrics(opts) {
        this.size.measure = opts.font.size;
        this.size.extent = opts.font.size;
    }
    toString() {
        return this.text;
    }
    acceptEvaluator(visitor) {
        if (this.empha) {
            return visitor.visitRefCharEmpha(this, this.empha);
        }
        return visitor.visitRefChar(this);
    }
}
RefChar.softHyphen = "&shy;";
//# sourceMappingURL=ref-char.js.map