import { BoxEnv, LayoutResult, LogicalCursorPos, ILayoutFormatContext, ILogicalNodeGenerator, ILayoutReducer, LogicalInlineNode, FlowFormatContext, IFlowRootFormatContext, IFlowFormatContext, PageRootFormatContext, ILogicalNodePos } from './public-api';
export declare class RubyChildFormatContext extends FlowFormatContext {
    get restMeasure(): number;
    get restExtent(): number;
}
export interface RubyGroup {
    rb: LogicalInlineNode;
    rt: LogicalInlineNode;
}
export declare class RubyFormatContext implements ILayoutFormatContext {
    env: BoxEnv;
    parent: ILayoutFormatContext;
    progress: number;
    rb?: LogicalInlineNode;
    rt?: LogicalInlineNode;
    child?: ILogicalNodeGenerator;
    cursorPos: LogicalCursorPos;
    rubyGroups: RubyGroup[];
    constructor(env: BoxEnv, parent: ILayoutFormatContext);
    acceptLayoutReducer(visitor: ILayoutReducer, rubyGroup: RubyGroup): LayoutResult;
    get boxPos(): ILogicalNodePos;
    get globalPos(): LogicalCursorPos;
    get flowRootPos(): LogicalCursorPos;
    get localPos(): LogicalCursorPos;
    get lineHeadPos(): LogicalCursorPos;
    get pageRoot(): PageRootFormatContext;
    get flowRoot(): IFlowRootFormatContext;
    get inlineRoot(): IFlowFormatContext;
    get contextRestMeasure(): number;
    get restMeasure(): number;
    get restExtent(): number;
    get maxMeasure(): number;
    get maxExtent(): number;
    get rootMeasure(): number;
    get rootExtent(): number;
    addRubyBase(rb: LogicalInlineNode): void;
    addRubyText(rt: LogicalInlineNode): void;
    private groupRuby;
}
