export class SelectorCache {
    constructor() {
        this.cache = {};
    }
    clear() {
        this.cache = {};
    }
    hasCache(selector) {
        return this.cache[selector] !== undefined;
    }
    getCache(selector) {
        return this.cache[selector] || [];
    }
    addCache(selector, element) {
        if (!this.hasCache(selector)) {
            this.cache[selector] = [element];
        }
        else {
            this.cache[selector].push(element);
        }
        return element;
    }
}
//# sourceMappingURL=selector-cache.js.map