import { LogicalSize, } from "./public-api";
export class SmpUniChar {
    constructor(str) {
        this.text = str;
        this.size = new LogicalSize({ measure: 0, extent: 0 });
        this.kerning = false;
        this.spacing = 0;
        this.charCount = 1;
    }
    setMetrics(opts) {
        this.size.measure = opts.font.size;
        this.size.extent = opts.font.size;
        this.empha = opts.empha;
        if (opts.empha) {
            this.size.extent = Math.floor(opts.font.size * 1.5);
        }
    }
    toString() {
        return this.text;
    }
    acceptEvaluator(visitor) {
        if (this.empha) {
            return visitor.visitCharEmpha(this, this.empha);
        }
        return visitor.visitSmpUniChar(this);
    }
}
//# sourceMappingURL=smp-uni-char.js.map