import { ICharacter, LogicalSize, SpaceCharInfo, Font, TextEmphaData, ILogicalNodeEvaluator } from "./public-api";
export declare class SpaceChar implements ICharacter {
    text: string;
    size: LogicalSize;
    info: SpaceCharInfo;
    kerning: boolean;
    spacing: number;
    charCount: number;
    static zeroWidthSpace: string;
    static enSpace: string;
    static emSpace: string;
    static noBreakSpace: string;
    static ideographicSpace: string;
    static markerSpace: string;
    static charRefToStr(str: string): string;
    constructor(str: string);
    protected normalize(str: string): string;
    setMetrics(opts: {
        font: Font;
        isVertical: boolean;
        empha?: TextEmphaData;
    }): void;
    toString(): string;
    isNoBreak(): boolean;
    isZeroWidth(): boolean;
    isCarriageReturn(): boolean;
    isLineFeed(): boolean;
    acceptEvaluator(visitor: ILogicalNodeEvaluator): Node;
}
