import { LogicalSize, TextMeasure, } from "./public-api";
export class Tcy {
    constructor(str) {
        this.text = str;
        this.size = new LogicalSize({ measure: 0, extent: 0 });
        this.kerning = false;
        this.spacing = 0;
        this.charCount = str.length;
    }
    setMetrics(opts) {
        if (opts.isVertical) {
            this.size.measure = opts.font.size;
            this.size.extent = opts.font.size;
        }
        else {
            this.size = TextMeasure.getWordSize(opts.font, this.text);
        }
    }
    toString() {
        return this.text;
    }
    acceptEvaluator(visitor) {
        return visitor.visitTcy(this);
    }
}
//# sourceMappingURL=tcy.js.map