import { NehanElement } from "./public-api";
export declare type TextEmphasisStroke = "filled" | "open" | "none";
export declare type TextEmphasisMark = "dot" | "circle" | "double-circle" | "triangle" | "sesame";
export declare class TextEmphasisStyle {
    stroke: TextEmphasisStroke;
    mark: TextEmphasisMark;
    static property: string;
    static isStrokeValue(value: string): value is TextEmphasisStroke;
    static isMarkValue(value: string): value is TextEmphasisMark;
    static load(element: NehanElement): TextEmphasisStyle;
    constructor(stroke: TextEmphasisStroke, mark: TextEmphasisMark);
    get values(): string[];
    get scale(): number;
    get text(): string;
    isNone(): boolean;
}
