export declare namespace Utils {
    export const atoi: (x: string, failOver?: number) => number;
    export const isNumber: (x: any) => boolean;
    export const mergeDefault: (obj: any, defaults: any) => any;
    interface EnumItem<E> {
        id: E;
        name: keyof E;
    }
    export class Enum {
        static fromArray<T extends string>(o: Array<T>): {
            [K in T]: K;
        };
        static toObjArray<E>(enum_obj: any): EnumItem<E>[];
        static toValueArray<E>(enum_obj: any): E[];
        static member<T>(enum_obj: any, value: T): boolean;
    }
    interface ChoiceArgs<T> {
        name: string;
        value: T;
        values: T[];
        initial: T;
    }
    export class Choice {
        static select<T>(args: ChoiceArgs<T>): T;
    }
    export class String {
        static getUnicodeProp(str: string): string;
        static multiSpaceToSingle(str: string): string;
        static multiSpaceToSingle2(str: string): string;
        static capitalize(str: string): string;
        static camelToChain(name: string): string;
        static chainToCamel(name: string): string;
    }
    export {};
}
